package il.ac.tau.cs.sw1.swt.search;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

public class ResultElement {

	public static final String WIKIPEDIA_HOST = "http://en.wikipedia.org/wiki/";

	private String query;

	public ResultElement(String query) {
		this.query = query;
	}

	/**
	 * Returns the computer science school for a particular query, and otherwise searches in Wikipedia
	 */
	public String getURL() {
		if (query.equalsIgnoreCase("Tel-Aviv University Computer Science")) {
			return("http://www.cs.tau.ac.il/");
		}
		try {
			return WIKIPEDIA_HOST + URLEncoder.encode(query, "UTF-8").replaceAll("\\+", "_");
		} catch (UnsupportedEncodingException e) {
			return WIKIPEDIA_HOST + query.replaceAll(" ", "_");
		}
	}
}
